<script setup>
import { Link } from '@inertiajs/vue3';

defineProps({
    links: {
        type: Array,
        default: null
    }
})

defineEmits(['navigate'])
</script>

<template>
    <ul v-if="links" class="pagination">
        <li v-for="(item, index) in links" :key="'pagination-'+index" :class="{'page-item': true, disabled: item.url === null, active: item.active}">
            <Link class="page-link" :href="item.url ?? '#'">
                <svg v-if="index === 0" xmlns="http://www.w3.org/2000/svg" width="19" height="19" fill="currentColor" class="bi bi-chevron-left" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z"/>
                </svg>
                <svg v-else-if="index === links.length - 1" xmlns="http://www.w3.org/2000/svg" width="19" height="19" fill="currentColor" class="bi bi-chevron-right" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z"/>
                </svg>
                <template v-else>
                    {{ item.label }}
                </template>
            </Link>
        </li>
    </ul>
</template>
